SystemOrganization addCategory: #'PharoBot-Core-Tests'!

TestCase subclass: #BatteryTest
	instanceVariableNames: 'battery'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PharoBot-Core-Tests'!

!BatteryTest methodsFor: 'percentage' stamp: 'NahuelGarbezza 12/9/2012 18:10'!
testChargePercentageLessThan100

	battery := Battery new.
	
	battery consume: 500.
	self assert: 50 equals: battery chargePercentage.
	battery consume: 200.
	self assert: 30 equals: battery chargePercentage.! !

!BatteryTest methodsFor: 'percentage' stamp: 'NahuelGarbezza 12/9/2012 18:11'!
testChargePercentageOf0

	battery := Battery new.
	
	battery consume: battery capacity.
	self assert: 0 equals: battery chargePercentage.! !

!BatteryTest methodsFor: 'percentage' stamp: 'NahuelGarbezza 12/9/2012 18:11'!
testChargePercentageOf100

	battery := Battery new.
	self assert: 100 equals: battery chargePercentage.! !
